<template>
	<view class="trade-activity">
 
		<view class="ad-chi" v-for="(item, index) in tradeData">
			{{item.ActivityName}}
			<img :src="item.CoverImg" style="margin-bottom:-4px" mode="widthFix" />
		</view>
		<u-button size="80" :ripple="true" shape="circle" :custom-style="{
		  backgroundColor: mc,
		  height: '80rpx',
		  color: '#FFF',
		  fontSize: '14px',
		  margin: '0 3vw',
		  width: '40vw',
		}" @click="goSignUp()">立即报名</u-button>
	</view>
</template>

<script>
	export default {
		props: ["dataObj"],
		data() {
			return {
				mc:'',
                tradeData:this.dataObj,
				Ids:'7,8,9'
			}
		},
		mounted() {
			this.mc = this.$uiConfig.mainColor;
		},
		created() {
			console.log("tradeData", this.tradeData);
		},
		methods: {
			//跳转报名
			goSignUp(){
				uni.navigateTo({
					url: "/pages/kotra/activeSignUp?Id="+this.Ids
				});
			}
		},
	};
</script>

<style>

</style>
